Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79559

Summary: Kudzu gets confused with two similar USB devices
Product: [Retired] Red Hat Linux Reporter: fred-m
Component: kudzuAssignee: Bill Nottingham <notting>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-09-23 19:45:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description fred-m 2002-12-13 11:29:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
(First of all, see Bug 79558 for the background on this one.)

The following uses two DiskOnKeys, but I think that it will happen with other
devices (say, USB floppies).

Step 1) I boot the machine with a DiskOnKey (which I'll call here DiskOnKey 1)
inserted in a USB port. It gets assigned to sda, and pdfstab adds the following
line to /etc/fstab:

/dev/sda                /mnt/diskonkey          auto    noauto,owner,kudzu 0 0

Step 2) I remove DiskOnKey 1.

Step 3) I insert a second DiskOnKey (which I'll call here DiskOnKey 2). It gets
assigned to sdb, and at this point /etc/fstab becomes:

/dev/sdb                /mnt/diskonkey          auto    noauto,owner,kudzu 0 0

Step 4) I remove DiskOnKey 2. No changes in /dev/fstab.

Step 5) I re-insert DiskOnKey 1. Now /dev/fstab has the following two "kudzu"
llines:

/dev/sdb                /mnt/diskonkey          auto    noauto,owner,kudzu 0 0
/dev/sda                /mnt/diskonkey1         auto    noauto,owner,kudzu 0 0

This behavior seems inconsistent, since:
- the mount point for the devices was exchanged (confuses the user).
- Inserting a different device erased the previous entry in step 3 but not in
step 5.

By the way, this behavior is not always reproducible exactly like that, but
always results in a different error. For instance, if in Step 1 I plug the
DiskOnKey *after* I boot:

After Step 3)
/dev/sda                /mnt/diskonkey          auto    noauto,owner,kudzu 0 0
/dev/sdb                /mnt/diskonkey1         auto    noauto,owner,kudzu 0 0
After Step 4)
/dev/sdb                /mnt/diskonkey1         auto    noauto,owner,kudzu 0 0
After Step 5)
/dev/sdb                /mnt/diskonkey1         auto    noauto,owner,kudzu 0 0

So I ended with only /dev/sda plugged and only the /dev/sdb line in /etc/fstab.

This might have something to do with Bug 77382, or not (or it is an easier test
to find that bug).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See the steps in the description.
    

Actual Results:  Kudzu exchanges the devices and the mountpoints, or ends up
with only a mountpoint for the wrong device.

Expected Results:  The assignment of the mountpoints and devices should remain
constant (or at least correct :-)

Additional info:

Comment 1 Bill Nottingham 2003-02-13 22:03:32 UTC
Please retest with 0.99.96-1. This had pretty much zero chance of working right
before fixing that bug. :(

Comment 2 Bill Nottingham 2005-09-23 19:45:02 UTC
In later releases, management of removable storage devices has moved to the
'hal' package. As such, this code in kudzu is unlikely to change further.
Closing this bug.